<!DOCTYPE html>
<html lang="zh-CN">
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>IE缓存问题</title>
        <style>
            #result {
                width: 200px;
                height: 100px;
                border: solid 1px #258;
            }
        </style>
    </head>

    <body>
        <button>点击发送请求</button>
        <div id="result"></div>
        <script>
            const btn = document.getElementsByTagName("button")[0];
            const result = document.querySelector("#result");

            btn.addEventListener("click", function () {
                const xhr = new XMLHttpRequest();
                xhr.open("GET", "http://127.0.0.1:8000/ie?t=" + Date.now());    // 添加时间戳，解决IE缓存问题
                xhr.send();
                xhr.onreadystatechange = function () {
                    if (xhr.readyState === 4) {
                        if (xhr.status >= 200 && xhr.status < 300) {
                            result.innerHTML = xhr.response;
                        }
                    }
                };
            });
        </script>
    </body>
</html>
